#!/bin/bash

##  1.  Make sure the pdb file does not contain an ROH.

##  2.  Make sure the atoms in the pdb file are in the same order as
##  they are in the charges file.  The atom serials do not have to be
##  put in order.

##  3.  Run antechamber to make the AC file

##  antechamber -i 0IB_2SO_75_L_noROH.pdb -fi 3 -o 0IB_2SO_75_L_noROH.prep -fo 5 -c 8 -cf 0IB_2SO_noROH_charges.txt  -eq 0 

antechamber -i 0IA_1C4_58_L_noROH.pdb -fi 3 -o 0IA_1C4_58_L_noROH.prep -fo 5 -c 8 -cf D_0IA_4C1_noROH_charges.txt  -eq 0 

##  3.  Run prepgen to make the prep file

##  prepgen -i ANTECHAMBER_PREP.AC -o 0IB_2SO_L.prep -m MAIN_CHAIN.txt -rn 0IB

prepgen -i ANTECHAMBER_PREP.AC -o 0IA_1C4_L.prep -m MAIN_CHAIN.txt -rn 0IA

##  4.  Change the atom types in the prep file to be correct.

antechamber -i 0IB_1C4_60_L_noROH.pdb -fi 3 -o 0IB_1C4_60_L_noROH.prep -fo 5 -c 8 -cf D_0IB_4C1_noROH_charges.txt  -eq 0 
prepgen -i ANTECHAMBER_PREP.AC -o 0IB_1C4_L.prep -m MAIN_CHAIN.txt -rn 0IB

antechamber -i 0IA_4C1_71_L_noROH.pdb -fi 3 -o 0IA_4C1_71_L_noROH.prep -fo 5 -c 8 -cf D_0IA_1C4_noROH_charges.txt  -eq 0 
prepgen -i ANTECHAMBER_PREP.AC -o 0IA_4C1_L.prep -m MAIN_CHAIN.txt -rn 0IA

antechamber -i 0IB_4C1_77_L_noROH.pdb -fi 3 -o 0IB_4C1_77_L_noROH.prep -fo 5 -c 8 -cf D_0IB_1C4_noROH_charges.txt  -eq 0 
prepgen -i ANTECHAMBER_PREP.AC -o 0IB_4C1_L.prep -m MAIN_CHAIN.txt -rn 0IB

